/*
 * Bilinear transformation routines.
 *
 * Implements pole/zero mapping between s-plane and z-plane.
 *
 */

#ifndef BLT_H_
#define BLT_H_


double bilinear_frequency_digital(double freq, double sample_rate);

double bilinear_frequency_warp(double freq, double sample_rate);

struct transfer_func *bilinear_transform(struct transfer_func *splane, double sample_rate, int calculate_hzero);

struct transfer_func *bilinear_transform_v2(struct transfer_func *splane, int calculate_hzero);


#endif
